%define anolis_release 1
Name:           perl-IO-Compress-Brotli
Version:        0.004001
Release:        %{anolis_release}%{?dist}
Summary:        Perl bindings for Brotli compression
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/IO-Compress-Brotli/
Source0:        https://cpan.metacpan.org/authors/id/M/MG/MGV/IO-Compress-Brotli-%{version}.tar.gz
Patch0:         IO-Compress-Brotli-0.004001-Use-pkgconfig-instead-of-bundled-libbrotli.patch

# Build
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig(libbrotlidec)
BuildRequires:  pkgconfig(libbrotlienc)
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(ExtUtils::PkgConfig)
# Run-time
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Slurper)
BuildRequires:  perl(parent)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader)
# Tests
BuildRequires:  perl(Test::More)
# Used in the installed script `bro-perl` - added by perl-generators
# BuildRequires:  perl(Getopt::Long)
# BuildRequires:  perl(Time::HiRes)

%description
IO::Compress::Brotli is a module that compresses Brotli buffers and
streams. Despite its name, it is not a subclass of IO::Compress::Base
and does not implement its interface. This will be rectified in a
future release.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
Buildarch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n IO-Compress-Brotli-%{version}

# Remove bundled source
for F in `find brotli -type f | grep -v testdata`; do 
    rm -rf $F
    perl -i -ne 'print $_ unless m{^\Q'"$F"'\E}' MANIFEST
done

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/IO*
%{_mandir}/man3/*
%{_bindir}/bro-perl

%files doc
%doc Changes README

%changelog
* Wed Feb 1 2023 Funda Wang <fundawang@yeah.net> - 0.004001-1
- Import package for anolis 23
